org.h2gis.functions.spatial.properties

## Class ST_CompactnessRatio

- java.lang.Object
- - org.h2gis.api.AbstractFunction
  - - org.h2gis.api.DeterministicScalarFunction
    - - org.h2gis.functions.spatial.properties.ST_CompactnessRatio

All Implemented Interfaces:
  org.h2gis.api.Function, org.h2gis.api.ScalarFunction

    public class ST_CompactnessRatio
    extends org.h2gis.api.DeterministicScalarFunction

ST_CompactnessRatio computes the perimeter of a circle whose area is equal to the given polygon's area, and returns the ratio of this computed perimeter to the given polygon's perimeter.

Equivalent definition: ST_CompactnessRatio returns the square root of the polygon's area divided by the area of the circle with circumference equal to the polygon's perimeter.

Note: This uses the 2D perimeter/area of the polygon.

Author:
  Adam Gouge

### Field Summary

### Fields inherited from interface org.h2gis.api.ScalarFunction

`PROP_DETERMINISTIC, PROP_NOBUFFER`

### Fields inherited from interface org.h2gis.api.Function

`PROP_NAME, PROP_REMARKS`

### Constructor Summary

Constructors
Constructor and Description
`ST_CompactnessRatio()`

### Method Summary

All Methods Static Methods Instance Methods Concrete Methods
`static Double` `computeCompacity(com.vividsolutions.jts.geom.Geometry geom)` Returns the compactness ratio of the given polygon
`String` `getJavaStaticMethod()`

### Methods inherited from class org.h2gis.api.AbstractFunction

`addProperty, getProperty, removeProperty`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Methods inherited from interface org.h2gis.api.Function

`getProperty`

### Constructor Detail

#### ST_CompactnessRatio

    public ST_CompactnessRatio()

### Method Detail

#### getJavaStaticMethod

    public String getJavaStaticMethod()

#### computeCompacity

    public static Double computeCompacity(com.vividsolutions.jts.geom.Geometry geom)

Returns the compactness ratio of the given polygon

Parameters:
  `geom` - Geometry
Returns:
  The compactness ratio of the given polygon